Bug 478137 - MIGRATED_FROM_JIRA: if you have a dsah in you mysql 5.0 database you get a error
MIGRATED_FROM_JIRA: if you have a dsah in you mysql 5.0 database you get a error
Status: CLOSED UPSTREAM
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:02 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 03:02:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:02:56 EST
if database name has a dash in it you get the following error

[06/27/2006 17:44:37] Syntax error or access violation message from server: "You have an error in your SQL syntax; check the manual that co
rresponds to your MySQL server version for the right syntax to use near '-portal.roles order by gidNumber, guid' at line 1"
java.sql.SQLException: Syntax error or access violation message from server: "You have an error in your SQL syntax; check the manual that c
orresponds to your MySQL server version for the right syntax to use near '-portal.roles order by gidNumber, guid' at line 1"
        at com.mysql.jdbc.MysqlIO.checkErrorPacket(MysqlIO.java:1997)
        at com.mysql.jdbc.MysqlIO.sendCommand(MysqlIO.java:1167)
        at com.mysql.jdbc.MysqlIO.sqlQueryDirect(MysqlIO.java:1278)
        at com.mysql.jdbc.Connection.execSQL(Connection.java:2251)
        at com.mysql.jdbc.PreparedStatement.executeQuery(PreparedStatement.java:1586)
        at org.apache.commons.dbcp.DelegatingPreparedStatement.executeQuery(DelegatingPreparedStatement.java:91)
        at org.safehaus.penrose.connector.JDBCAdapter.load(JDBCAdapter.java:356)
        at org.safehaus.penrose.connector.Connection.load(Connection.java:111)
        at org.safehaus.penrose.connector.Connector$3.run(Connector.java:725)
        at org.safehaus.penrose.thread.ThreadWorker.runIt(ThreadWorker.java:93)
        at org.safehaus.penrose.thread.ThreadWorker.runJobs(ThreadWorker.java:84)
        at org.safehaus.penrose.thread.ThreadWorker.access$000(ThreadWorker.java:22)
        at org.safehaus.penrose.thread.ThreadWorker$1.run(ThreadWorker.java:47)
        at java.lang.Thread.run(Thread.java:595)

Additional Comments From mistich dated Thu Aug 17 12:12:52 CDT 2006 
It is now working in version 1.0.4


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '6',
          'components' => [
                            {}
                          ],
          'reporter' => 'mistich',
          'key' => 'PENROSE-154',
          'assignee' => 'jimyang',
          'summary' => 'if you have a dsah in you mysql 5.0 database you get a error',
          'id' => '10484',
          'updated' => '2006-08-28 15:03:55.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-08-21 00:00:00.0',
                             'sequence' => '16',
                             'name' => 'Penrose-1.0.4',
                             'released' => 'true',
                             'id' => '10086',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'if database name has a dash in it you get the following error

[06/27/2006 17:44:37] Syntax error or access violation message from server: "You have an error in your SQL syntax; check the manual that co
rresponds to your MySQL server version for the right syntax to use near '-portal.roles order by gidNumber, guid' at line 1"
java.sql.SQLException: Syntax error or access violation message from server: "You have an error in your SQL syntax; check the manual that c
orresponds to your MySQL server version for the right syntax to use near '-portal.roles order by gidNumber, guid' at line 1"
        at com.mysql.jdbc.MysqlIO.checkErrorPacket(MysqlIO.java:1997)
        at com.mysql.jdbc.MysqlIO.sendCommand(MysqlIO.java:1167)
        at com.mysql.jdbc.MysqlIO.sqlQueryDirect(MysqlIO.java:1278)
        at com.mysql.jdbc.Connection.execSQL(Connection.java:2251)
        at com.mysql.jdbc.PreparedStatement.executeQuery(PreparedStatement.java:1586)
        at org.apache.commons.dbcp.DelegatingPreparedStatement.executeQuery(DelegatingPreparedStatement.java:91)
        at org.safehaus.penrose.connector.JDBCAdapter.load(JDBCAdapter.java:356)
        at org.safehaus.penrose.connector.Connection.load(Connection.java:111)
        at org.safehaus.penrose.connector.Connector$3.run(Connector.java:725)
        at org.safehaus.penrose.thread.ThreadWorker.runIt(ThreadWorker.java:93)
        at org.safehaus.penrose.thread.ThreadWorker.runJobs(ThreadWorker.java:84)
        at org.safehaus.penrose.thread.ThreadWorker.access$000(ThreadWorker.java:22)
        at org.safehaus.penrose.thread.ThreadWorker$1.run(ThreadWorker.java:47)
        at java.lang.Thread.run(Thread.java:595)
',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-06-12 00:00:00.0',
                                 'sequence' => '12',
                                 'name' => 'Penrose-1.0',
                                 'released' => 'true',
                                 'id' => '10072',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2006-06-29 14:12:36.0',
          'environment' => 'redhat with mysql 5.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:02:58 EST
Closing bug as it was already closed in Jira - PENROSE-154

Note You need to log in before you can comment on or make changes to this bug.